Bug 234924 - ports-mgmt/pkg: typo causes segfault
Summary: ports-mgmt/pkg: typo causes segfault
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-13 18:38 UTC by mail
Modified: 2019-08-14 14:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pkg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2019-01-13 18:38:41 UTC
I accidentally ran:

pkg version .

and to my surprise pkg segfaulted:

Child process pid=1602 terminated abnormally: Segmentation fault

Which doesn't seem ideal behaviour. :)

Running pkg-1.10.5_5 under FreeBSD 12.0-RELEASE-p2 amd64.

Thanks.
Comment 1 Baptiste Daroussin freebsd_committer 2019-04-19 14:10:39 UTC
fixed in git!
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-14 14:44:24 UTC
pkg version .
pkg: Invalid INDEX file format: .